Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 152120

Summary: media-video/mplayer-1.0_pre20061019 fails compile (undefined reference to`.rgb24toyv12')
Product: Gentoo Linux Reporter: Markus Rothe (RETIRED) <corsair>
Component: Current packagesAssignee: media-video herd <media-video>
Status: VERIFIED UPSTREAM    
Severity: normal CC: ppc64
Priority: High    
Version: 2006.1   
Hardware: PPC64   
OS: Linux   
URL: http://lists.mplayerhq.hu/pipermail/mplayer-dev-eng/2006-October/046873.html
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: workaround, patch, whatever

Description Markus Rothe (RETIRED) gentoo-dev 2006-10-20 08:03:22 UTC
Hi,

trying to compile mplayer on my G5 (ppc64) it didn't linked, because of an undefined reference:

cc -Wdeclaration-after-statement -O4 -D__STDC_LIMIT_MACROS -mcpu=970 -mtune=970 -pipe -ffast-math -fomit-frame-pointer -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -I/usr/include -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT  -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I.  -I./libavutil -I./libavcodec -o mplayer mplayer.o m_property.o mp_msg.o asxparser.o codec-cfg.o cpudetect.o edl.o find_sub.o m_config.o m_option.o m_struct.o parser-cfg.o playtree.o playtreeparser.o spudec.o sub_cc.o subreader.o vobsub.o unrarlib.o mixer.o parser-mpcmd.o subopt-helper.o libvo/libvo.a libao2/libao2.a input/libinput.a libmenu/libmenu.a Gui/libgui.a -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lglib-2.0   libmpcodecs/libmpcodecs.a  libaf/libaf.a libmpdemux/libmpdemux.a stream/stream.a libswscale/libswscale.a osdep/libosdep.a -Wl,-z,noexecstack  -ldvdread  libavformat/libavformat.a  libavcodec/libavcodec.a  libavutil/libavutil.a  libpostproc/libpostproc.a  -lmad -ldv  -ltheora -logg   -lxvidcore -ldts -lpng -lz -lz -ljpeg -lasound -ldl -lpthread  -lx264 -lpthread     -lmp3lame  -lfaac -lncurses -lcdda_interface -lcdda_paranoia     -lgif  -lsmbclient  -lenca   -lpthread -ldl   -lm    libfaad2/libfaad2.a  mp3lib/libMP3.a liba52/liba52.a libmpeg2/libmpeg2.a tremor/libvorbisidec.a   -lGL -ldl  -lXv -lXvMC -lXvMCW -lXxf86vm   -lXext -lX11  -lpthread  -lSDL -lpthread -lggi         -lopenal
libvo/libvo.a(vo_yuv4mpeg.o): In function `.flip_page':
vo_yuv4mpeg.c:(.text+0x5a4): undefined reference to `.rgb24toyv12'
vo_yuv4mpeg.c:(.text+0x5d0): undefined reference to `.rgb24toyv12'
vo_yuv4mpeg.c:(.text+0x840): undefined reference to `.rgb24toyv12'
collect2: ld returned 1 exit status
make: *** [mplayer] Error 1



G5 ~ # emerge --info
Portage 2.1.1-r1 (default-linux/ppc/ppc64/2006.1/64bit-userland/970, gcc-3.4.6, glibc-2.3.6-r5, 2.6.19-rc2 ppc64)
=================================================================
System uname: 2.6.19-rc2 ppc64 PPC970FX, altivec supported
Gentoo Base System version 1.12.5
Last Sync: Fri, 20 Oct 2006 14:30:07 +0000
ccache version 2.3 [disabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: [Not Present]
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="ppc64"
AUTOCLEAN="yes"
CBUILD="powerpc64-unknown-linux-gnu"
CFLAGS="-O2 -pipe -mtune=970 -mcpu=970 -mabi=altivec -g"
CHOST="powerpc64-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -mtune=970 -mcpu=970 -mabi=altivec -g"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig cvs distlocks installsources metadata-transfer sandbox sfperms splitdebug strict"
GENTOO_MIRRORS="http://mirror.pacific.net.au/linux/Gentoo"
LANG="en_US.UTF8"
LC_ALL="en_US.UTF8"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="ppc64 X a52 aac aiglx alsa altivec amr apache2 apm asf bash-completion berkdb bitmap-fonts bzip2 ccache cdinstall cdparanoia cdr cli cracklib crypt cups curl cvs dbus dlloader dri dts dv dvd dvdr dvdread eds elibc_glibc emboss enca encode exscalibar ffmpeg flac foomaticdb fortran fping gd gdbm ggi gif gimpprint glib glitz gmp gnokii gnutls gphoto2 gpm graphviz gs gstreamer gtk hal highlight ieee1394 imagemagick imlib input_devices_keyboard input_devices_mouse ipv6 isdnlog jpeg kde kdeenablefinal kernel_linux latex ldap libg++ libwww mad matroska mdnsresponder-compat mikmod mjpeg motif mp3 mp4 mpeg mplayer multiuser musicbrainz mysql ncurses network nls no-old-linux nptl nptlonly nsplugin objc objc++ offensive ogg openal opengl pam pcre pdf perl php plotutils png ppds pppd python qt3 qt4 quicktime rdesktop readline reflection ruby samba scanner screen sdl session skins smp spell spl ssl stream subtitles subversion svg tcltk tcpd teamarena tetex theora threads tiff truetype truetype-fonts type1-fonts udev unicode upnp usb userland_GNU utempter vcd video_cards_radeon videos vim-pager vorbis wxwindows x264 xcomposite xine xml xorg xscreensaver xv xvid xvmc zeroconf zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Markus Rothe (RETIRED) gentoo-dev 2006-10-20 08:05:19 UTC
Created attachment 100091 [details, diff]
workaround, patch, whatever

this fixed the compile issue for me. Unfortunatly I don't know why this undefined reference does not show up on my ppc notebook.

I also don't know if this is the correct fix or just a workaround.
Comment 2 Markus Rothe (RETIRED) gentoo-dev 2006-10-26 08:50:48 UTC
media-video: could we please apply this patch? it is already applied upstream:

http://lists.mplayerhq.hu/pipermail/mplayer-dev-eng/2006-October/046873.html
Comment 3 Steve Dibb (RETIRED) gentoo-dev 2006-10-27 12:44:41 UTC
(In reply to comment #2)
> media-video: could we please apply this patch? it is already applied upstream:
> 
> http://lists.mplayerhq.hu/pipermail/mplayer-dev-eng/2006-October/046873.html
> 

Try rc1.  Should be in that release.
Comment 4 Markus Rothe (RETIRED) gentoo-dev 2006-10-28 00:22:45 UTC
Unless they have not rereleased rc1 it is not in.
Comment 5 Markus Rothe (RETIRED) gentoo-dev 2006-11-24 08:42:18 UTC
I was wrong. this is in rc1. marking as UPSTREAM.
Comment 6 Markus Rothe (RETIRED) gentoo-dev 2006-11-24 08:42:28 UTC
closing